[Pkg-haskell-commits] darcs: tools: Make mass-build skip uninstallable packages faster
Joachim Breitner
mail at joachim-breitner.de
Sat May 25 11:24:12 UTC 2013
Sat May 25 10:51:11 UTC 2013 Joachim Breitner <mail at joachim-breitner.de>
* Make mass-build skip uninstallable packages faster
Ignore-this: 179257940ae8bb36fb5f81b4dd037b4b
M ./mass-build.sh -6 +8
Sat May 25 10:51:11 UTC 2013 Joachim Breitner <mail at joachim-breitner.de>
* Make mass-build skip uninstallable packages faster
Ignore-this: 179257940ae8bb36fb5f81b4dd037b4b
diff -rN -u old-tools//mass-build.sh new-tools//mass-build.sh
--- old-tools//mass-build.sh 2013-05-25 11:24:11.911213252 +0000
+++ new-tools//mass-build.sh 2013-05-25 11:24:11.943039568 +0000
@@ -210,6 +210,14 @@
popd >/dev/null
PACKAGE=`dpkg-parsechangelog -l$repodir/changelog -c1 | grep-dctrl -n -s Source .`
+
+ if ! echo "$installable" | fgrep -xq "$PACKAGE"
+ then
+ echo "Package was found to be uninstallable, skipping.."
+ nextround="$nextround $dir"
+ continue
+ fi
+
VERSION=`dpkg-parsechangelog -l$repodir/changelog -c1 | grep-dctrl -n -s Version .`
UPSTREAM=`echo $VERSION | cut -d- -f1` # this could be improved
if echo $UPSTREAM | fgrep -q : ; then
@@ -219,12 +227,6 @@
DISTRIBUTION=$(dpkg-parsechangelog -l$repodir/changelog -c1 |grep-dctrl -n -s Distribution .)
DSC=${PACKAGE}_${VERSION}.dsc
- if ! echo "$installable" | fgrep -xq "$PACKAGE"
- then
- echo "Package was found to be uninstallable, skipping.."
- nextround="$nextround $dir"
- continue
- fi
pushd $result >/dev/null
More information about the Pkg-haskell-commits
mailing list